为旧版IE添加更换浏览器提示-淘汰旧版IE( Internet Explorer ) 行动

前端 · best · 于 5个月前 发布 · 713 次阅读

请不再兼容旧版IE,当用户使用旧版IE(IE11以下版本 或使用该内核的浏览器)访问时提示浏览器升级。

仅需一行优美的代码:

<script>/*@cc_on window.location.href="https://support.dmeng.net/upgrade-your-browser.html?referrer="+encodeURIComponent(window.location.href); @*/</script>

当检测到旧版IE时,就可以得到下面的提示页面。

发起原因

自2016年1月12日起,微软不再为 IE 11 以下版本提供相应支持和更新。没有关键的浏览器安全更新,用户的电脑可能易受有害病毒、间谍软件和其他恶意软件的攻击,它们可以窃取或损害您的业务数据和信息。请参阅 微软对旧版 Internet Explorer 的支持服务已终止的说明 。

我们的呼吁

为了兼容这个曾经的浏览器霸主,网页设计人员需要做大量的代码工作,而且最终效果也始终不能让人满意。对于普通用户而言,低版本IE更是一个岌岌可危的安全隐患,在Windows历史上几次大的木马病毒事件都是利用IE漏洞进行传播。所以,请和我们一起抵制IE6、IE7、IE8、IE9、IE10!

详细介绍参考:旧版 Internet Explorer 淘汰行动

共收到 0 条回复
没有找到数据。
添加回复 (需要登录)
需要 登录 后方可回复, 如果你还没有账号请点击这里 注册